## dataclass-wizard 0.35.0

=== debian/changelog ===
dataclass-wizard (0.35.0-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Tue, 22 Jul 2025 10:21:39 +0200

dataclass-wizard (0.35.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1107422)

 -- Edward Betts <edward@4angle.com>  Fri, 06 Jun 2025 18:50:40 -0500

## dataclass-wizard 0.35.1

=== Makefile ===
.PHONY: clean clean-test clean-pyc clean-build docs help
.DEFAULT_GOAL := help

define BROWSER_PYSCRIPT
import os, webbrowser, sys

from urllib.request import pathname2url

webbrowser.open("file://" + pathname2url(os.path.abspath(sys.argv[1])))
endef
export BROWSER_PYSCRIPT

define PRINT_HELP_PYSCRIPT
import re, sys

for line in sys.stdin:
	match = re.match(r'^([a-zA-Z_-]+):.*?## (.*)$$', line)
	if match:
		target, help = match.groups()
		print("%-20s %s" % (target, help))
endef
export PRINT_HELP_PYSCRIPT

BROWSER := python -c "$$BROWSER_PYSCRIPT"

help:
	@python -c "$$PRINT_HELP_PYSCRIPT" < $(MAKEFILE_LIST)

init: ## install all dev dependencies for this project
	pip install -e .[dev]

clean: clean-build clean-pyc clean-test ## remove all build, test, coverage and Python artifacts

clean-build: ## remove build artifacts
	rm -fr build/
	rm -fr dist/
	rm -fr .eggs/
	find . -name '*.egg-info' -exec rm -fr {} +
	find . -name '*.egg' -type f -exec rm -f {} +

clean-pyc: ## remove Python file artifacts
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f {} +
	find . -name '__pycache__' -exec rm -fr {} +

clean-test: ## remove test and coverage artifacts
	rm -fr .tox/
	rm -f .coverage
	rm -fr htmlcov/
	rm -fr .pytest_cache

lint: ## check style with flake8 and pylint
	flake8 dataclass_wizard tests
	pylint dataclass_wizard tests

test: ## run unit tests quickly with the default Python
	pytest -v --cov=dataclass_wizard --cov-report=term-missing tests/unit

test-vb: ## run unit tests (in verbose mode) with the default Python
	pytest -vvv --log-cli-level=DEBUG --capture=tee-sys --cov=dataclass_wizard --cov-report=term-missing tests/unit

test-all: ## run tests on every Python version with tox
	tox

coverage: ## check code coverage with unit tests quickly with the default Python
	coverage run --source dataclass_wizard -m pytest tests/unit
	coverage report -m
	coverage html
	$(BROWSER) htmlcov/index.html

docs: ## generate Sphinx HTML documentation, including API docs
	rm -f docs/dataclass_wizard.rst
	rm -f docs/modules.rst
	sphinx-apidoc -o docs/ dataclass_wizard
	$(MAKE) -C docs clean
	$(MAKE) -C docs html
	$(BROWSER) docs/_build/html/index.html

servedocs: docs ## compile the docs watching for changes
	watchmedo shell-command -p '*.rst' -c '$(MAKE) -C docs html' -R -D .

release: dist ## package and upload a release
	twine upload dist/*

check: dist-local  ## verify release before upload to PyPI
	twine check dist/*

dist: clean ## builds source and wheel package
	python setup.py sdist bdist_wheel
	ls -l dist

dist-local: clean replace_version ## builds source and wheel package (for local testing)
	python setup.py sdist bdist_wheel
	ls -l dist
	$(MAKE) revert_readme

replace_version: ## replace |version| in README.rst with the current version
	cp README.rst README.rst.bak
	python -c "import re; \
from pathlib import Path; \
version = re.search(r\"__version__\\s*=\\s*'(.+?)'\", Path('dataclass_wizard/__version__.py').read_text()).group(1); \
readme_path = Path('README.rst'); \
readme_content = readme_path.read_text(); \
readme_path.write_text(readme_content.replace('|version|', version)); \
print(f'Replaced version in {readme_path}: {version}')"

revert_readme: ## revert README.rst to its original state
	mv README.rst.bak README.rst

install: clean ## install the package to the active Python's site-packages
	python setup.py install

dist-conda: clean ## builds source and wheel package for Anaconda
	conda build .

release-conda: dist-conda ## package and upload a release to Anaconda
	$(eval DIST_FILE=$(shell conda build . --output))
	anaconda upload $(DIST_FILE)

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python -msphinx
SPHINXPROJ    = dataclass_wizard
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== docs/requirements.txt ===
sphinx-issues==5.0.0
sphinx-autodoc-typehints==2.5.0
sphinx-copybutton==0.5.2
typing-extensions>=4.9.0

=== debian/changelog ===
dataclass-wizard (0.35.1-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Wed, 30 Jul 2025 08:25:42 +0100

=== debian/control ===
Source: dataclass-wizard
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 dh-sequence-sphinxdoc <!nodoc>,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-dotenv <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytest-cov <!nocheck>,
 python3-pytest-mock <!nocheck>,
 python3-pytimeparse <!nocheck>,
 python3-sphinx <!nodoc>,
 python3-sphinx-autodoc-typehints <!nodoc>,
 python3-sphinx-copybutton <!nodoc>,
 python3-sphinx-issues <!nodoc>,
 python3-tomli-w <!nocheck>,
 python3-yaml <!nocheck>,
 tzdata-legacy <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.7.2
Homepage: https://github.com/rnag/dataclass-wizard
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/dataclass-wizard
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/dataclass-wizard.git
Testsuite: autopkgtest-pkg-pybuild

Package: python3-dataclass-wizard
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${sphinxdoc:Depends},
Built-Using:
 ${sphinxdoc:Built-Using},
Description: Library for handling dataclass serialization and deserialization
 This library provides a set of tools for working with Python's dataclass
 structures, enabling effortless conversion to and from JSON, TOML, YAML,
 dictionaries, and environment variables. It supports flexible mappings of keys,
 custom transformations, and recursive data structures including nested and
 cyclic references. Field-level customisation is available for controlling how
 data is loaded or dumped, with support for environment variables as well. Its
 intuitive APIs allow straightforward interaction with structured data, and it
 includes functionality for auto-generating dataclass schemas from JSON input,
 managing unknown keys, and providing catch-all fields for unexpected data. This
 library integrates well with dataclass annotations to create and manipulate
 serialised representations while respecting data types and schema definitions.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_TEST_ARGS=--no-cov -k "not test_toml_wizard_methods and \
	not test_catch_all and \
	not test_load_with_tuple_of_dotenv_and_env_file_param_to_init and \
	not test_load_with_dotenv_file"
export PYBUILD_AFTER_INSTALL=rm -rf {destdir}/usr/lib/python3*/dist-packages/testing.json

%:
	dh $@ --buildsystem=pybuild


override_dh_auto_build:
	dh_auto_build $@ --buildsystem=pybuild
	cd docs; PYTHONPATH=$(CURDIR) LC_ALL=C.UTF-8 LANGUAGE=C.UTF-8 sphinx-build -bhtml -d _build/doctrees . _build/html

=== debian/watch ===
version=4
https://github.com/rnag/dataclass-wizard/tags .*/v?(\d\S+)\.tar\.gz

## dataclass-wizard 0.35.4

=== debian/changelog ===
dataclass-wizard (0.35.4-1) unstable; urgency=medium

  * New upstream release.
  * Remove 'Rules-Requires-Root: no', now the default.
  * Update debian/watch to format version 5.
  * Add debian/salsa-ci.yml.

 -- Edward Betts <edward@4angle.com>  Sat, 13 Dec 2025 14:24:08 +0000

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,6 @@
  python3-tomli-w <!nocheck>,
  python3-yaml <!nocheck>,
  tzdata-legacy <!nocheck>,
-Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Homepage: https://github.com/rnag/dataclass-wizard
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/dataclass-wizard

## dataclass-wizard 0.37.0

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-.PHONY: clean clean-test clean-pyc clean-build docs help
+.PHONY: clean clean-test clean-pyc clean-build docs help bump-patch bump-minor bump-major bump-patch-dry
 .DEFAULT_GOAL := help
 
 define BROWSER_PYSCRIPT
@@ -28,6 +28,20 @@
 
 init: ## install all dev dependencies for this project
 	pip install -e .[dev]
+	python -m pip install pre-commit build twine
+	pre-commit install
+
+bump-patch:
+	bump-my-version bump patch
+
+bump-minor:
+	bump-my-version bump minor
+
+bump-major:
+	bump-my-version bump major
+
+bump-patch-dry:
+	bump-my-version bump patch --dry-run --verbose
 
 clean: clean-build clean-pyc clean-test ## remove all build, test, coverage and Python artifacts
 
@@ -83,15 +97,21 @@
 release: dist ## package and upload a release
 	twine upload dist/*
 
+check-dist:
+	python -m build
+	python -m twine check dist/*
+
 check: dist-local  ## verify release before upload to PyPI
 	twine check dist/*
 
 dist: clean ## builds source and wheel package
-	python setup.py sdist bdist_wheel
+	pip install build
+	python -m build
 	ls -l dist
 
 dist-local: clean replace_version ## builds source and wheel package (for local testing)
-	python setup.py sdist bdist_wheel
+	pip install build
+	python -m build
 	ls -l dist
 	$(MAKE) revert_readme
 
@@ -109,7 +129,7 @@
 	mv README.rst.bak README.rst
 
 install: clean ## install the package to the active Python's site-packages
-	python setup.py install
+	pip install .
 
 dist-conda: clean ## builds source and wheel package for Anaconda
 	conda build .

=== docs/requirements.txt ===
sphinx-issues==5.0.0
sphinx-autodoc-typehints==2.5.0; python_version>="3.10"
sphinx-copybutton==0.5.2
typing-extensions>=4.9.0

=== debian/changelog ===
dataclass-wizard (0.37.0-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patch to avoid privacy breach in docs.

 -- Edward Betts <edward@4angle.com>  Mon, 22 Dec 2025 12:19:54 +0000

## dataclass-wizard 0.38.2

=== debian/changelog ===
dataclass-wizard (0.38.2-1) unstable; urgency=medium

  * New upstream release.
  * Remove 'Priority: optional', now the default.
  * Update Standards-Version.

 -- Edward Betts <edward@4angle.com>  Tue, 30 Dec 2025 11:56:22 +0000

## dataclass-wizard 0.39.0

=== debian/changelog ===
dataclass-wizard (0.39.0-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Sat, 03 Jan 2026 09:26:54 +0000

## dataclass-wizard 0.39.1

=== Makefile ===
--- 
+++ 
@@ -26,8 +26,8 @@
 help:
 	@python -c "$$PRINT_HELP_PYSCRIPT" < $(MAKEFILE_LIST)
 
-init: ## install all dev dependencies for this project
-	pip install -e .[dev]
+init: ## install all dev + test dependencies for this project
+	pip install -e .[bench,dev,docs,test]
 	python -m pip install pre-commit build twine
 	pre-commit install

=== docs/requirements.txt ===
sphinx-issues==5.0.1
sphinx-autodoc-typehints==3.6.0; python_version>="3.10"
sphinx-copybutton==0.5.2
typing-extensions>=4.9.0

=== debian/changelog ===
dataclass-wizard (0.39.1-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Wed, 07 Jan 2026 03:22:51 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Uploaders:
  Edward Betts <edward@4angle.com>,
 Section: python
-Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
@@ -24,7 +23,7 @@
  python3-tomli-w <!nocheck>,
  python3-yaml <!nocheck>,
  tzdata-legacy <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/rnag/dataclass-wizard
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/dataclass-wizard
 Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/dataclass-wizard.git

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,6 @@
 %:
 	dh $@ --buildsystem=pybuild
 
-
 override_dh_auto_build:
 	dh_auto_build $@ --buildsystem=pybuild
 	cd docs; PYTHONPATH=$(CURDIR) LC_ALL=C.UTF-8 LANGUAGE=C.UTF-8 sphinx-build -bhtml -d _build/doctrees . _build/html

=== debian/watch ===
Version: 5

Template: Github
Owner: rnag
Project: dataclass-wizard
